[kde-community] Non Api-stable libraries/frameworks - Re: Applications in KDE Generation 5

Albert Astals Cid aacid at kde.org
Thu Jan 16 00:33:34 UTC 2014


El Dimecres, 15 de gener de 2014, a les 21:47:17, John Layt va escriure:
> Hi,
> 
> * Application domain-specific libraries such as libkipi or libkcddb
> may now be better organised under Frameworks rather than their
> modules, where they could gain a wider user base and a clearer
> maintenance viability.  Can we have a Frameworks category for non-api
> stable libraries?

I am not sure I would call it "Frameworks", but yes, that makes total sense, 
for example at the moment our mobipocket library just uses QtCore and QtGui 
but since it's using all the KDE cmake stuff it's not that easy to re-use 
"from the outside".

Cheers,
  Albert



More information about the kde-community mailing list